WordPress Nmedia MailChimp bővítmény sérülékenység

CH azonosító

CH-7080

Angol cím

WordPress Nmedia MailChimp Plugin "abs_path" Remote File Inclusion Vulnerability

Felfedezés dátuma

2012.06.20.

Súlyosság

Magas

Érintett rendszerek

Nmedia MailChimp Plugin
WordPress

Érintett verziók

WordPress Nmedia MailChimp Plugin 3.x

Összefoglaló

A WordPress Nmedia MailChimp bővítményének olyan sérülékenységét jelentették, amelyet a támadók kihasználva feltörhetik a sérülékeny rendszert.

Leírás

Az “abs_path” paraméter által átadott bemeneti adatok a wp-content/plugins/nmedia-mailchimp-widget/api_mailchimp/postToMailChimp.php részére nincsenek megfelelően ellenőrizve, mielőtt fájlok befoglalására (include file) felhasználásra kerülne. Ez kihasználható tetszőleges fájlok befoglalására helyi vagy külső erőforrásokból.

A sérülékenységet a 3.1 verzióban jelentették, de korábbi kiadások is érintettek lehetnek.

Megoldás

Frissítsen a legújabb verzióra